<?php
    header('Access-Control-Allow-Origin: '.$config->get('site_url'));
    header('Content-Type: application/json');
    header('Access-Control-Allow-Methods: POST');
    header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

    $response;
    if($_SERVER["REQUEST_METHOD"] == "POST") {
        if(isset($_POST['csrf_token']) && $anticsrf->validate($_POST['csrf_token'])) {
            if(isset($_POST['email']) && !empty($_POST['email'])) {
                $user_email       = $_POST['email'];

                $result      = $db->query("SELECT id, status, password, firstname, lastname, email FROM {$db->prefix}users WHERE email = :email", array(':email'=>$user_email));
                if ($result->num_rows == 1) {
                    if($result->row["status"] == 0){
                        $response = array('status'=>false, 'message'=>"Hesabınız devre dışı bırakılmış. Lütfen teknik destek ekibiyle iletişime geçiniz.");
                    }else {
                        $reset_token = $utils->addResetTicket($user_email);

                        $email_template = file_get_contents(DIR_COMMON.'/email/templates/forgot-password.html');
                        $email_template = str_replace('%base_url%', $config->get('site_url'), $email_template);
                        $email_template = str_replace('%name%', $result->row['firstname'], $email_template);
                        $email_template = str_replace('%token%', $reset_token, $email_template);
                        
                        $emailController	 = new EmailController($config);
                        $emailController->send(
                            array(
                                'to'                 => array(array('name'=>$result->row['firstname']." ".$result->row['lastname'], 'email'=>$user_email)),
                                'is_html'            => true,
                                'subject'            => 'Parola Sıfırlama Talebi',
                                'body'               => $email_template
                            )
                        );
                        
                        $response = array('status'=>true, 'message'=>'Parola sıfırlama linki gönderildi.');
                    }
                }else{
                    $response = array('status'=>false, 'message'=>"Kullanıcı bulunamadı");
                }
            }else{
                $response = array('status'=>false, 'message'=>"Lütfen tüm zorunlu alanları doldurunuz");
            }
        }else {
            $response = array('status'=>false, 'message'=>'Hatalı CSRF Token.');
        }
    } else {
        $response = array('status'=>false, 'message'=>"Hatalı istek.");
    }

    echo json_encode($response);